* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.wrapper {
  position: absolute;
  left: 550px;
  top: 200px;
  transform-style: preserve-3d;
}
.block1 {
  z-index: 1;
  position: relative;
  text-align: center;
  margin: 0;
  width: 200px;
  height: 200px;
  color: #fff;
  background-color: red;
  transform-style: preserve-3d;
}

.block2 {
  z-index: 2;
  position: relative;
  bottom: 200px;
  text-align: center;
  margin: 0;
  width: 200px;
  height: 200px;
  color: #fff;
  background-color: green;
  transform: translateZ(80px);
  transform-style: preserve-3d;
}

@keyframes test1 {
  from {
    transform: rotateZ(0);
  }

  to {
    transform: rotateZ(360deg);
  }
}

@keyframes test3 {
  to {
    transform: rotateY(360deg);
  }
}
.block2::after {
  position: absolute;
  content: "FRONT";
  width: inherit;
  height: inherit;
  top: 0;
  left: 0;

  transform: translateZ(1px);
  background: green;
}

.block1::after {
  position: absolute;
  content: "BACK";
  width: inherit;
  height: inherit;
  top: 0;
  left: 0;
  transform: translateZ(-1px);
  background: red;
}

.animate {
  animation-name: test3;
  animation-duration: 16s;
  animation-direction: normal;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
}
.moveFront {
  animation-name: test1;
  animation-duration: 16s;
  animation-direction: normal;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
}

.moveBack {
  animation-name: test1;
  animation-duration: 16s;
  animation-direction: reverse;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
}
